function processMenu() {
  var cfg = mainConfig.menu;

  var links = [];
  for (var i = 0, l = cfg.links.length; i < l; i++) {
    if (cfg.links[i].checked == '1') {
      links.push(cfg.links[i]);
    }
  }

  var linksStr = '';
  for (var i = 0, l = links.length; i < l; i++) {
    var style = 'background-image: url(' + links[i]['image1'] + ');';
    linksStr += '<dd><a href="' + links[i]['url'] + '"><em style="' + style + '"></em><b>' + links[i]['title'] + '</b></a></dd>';
  }
  $('#menu').find('.clearfix').html(linksStr);
}

function processNews(data, dir) {
  var s = '';
  for (var i = 0, l = data.length; i < l; i++) {
  	var href = dir + 'info/view/info-de.html?newsId=' + data[i].ID;
    var time = data[i].Pubtime.split(' ');
    s += '<a class="list-group-item clearfix" href="' + href + '"><span class="title">' + data[i].Title + '</span><span class="time">' + time[0] + '</span></a>';
  }
  $('#info').find('.list-group').html(s);
}

function callback(message) {
  var msg = JSON.parse(message);
  if (msg.moduleId == 90004) {
    newsData[newsCurrent] = msg.jData.Indexes.slice(0, mainConfig.news.data[newsCurrent].count);
    processNews(newsData[newsCurrent], dirStrApp);
  }
}

function queryNews(data){
  if(isPoboApp) {
    pbINFO.infoQueryListWithJson(JSON.stringify({type: 'mu', groupIDs: data.ids, doc: 'json', count: data.count}));
  } else {
    var gp = {gcount: data.ids.length, count: data.count};
    for(var i=0; i<gp.gcount; i++){
      gp['group'+(i+1)] = data.ids[i];
    }
    $.get(mainConfig.news.webservice, gp, function(result){
      newsData[newsCurrent] = JSON.parse(result).Indexes.slice(0, data.count);
      processNews(newsData[newsCurrent], dirStr);
    });
  }
}

function processConfig(config) {
  if (mainConfig) {
    prevConfig = mainConfig;
  }
  mainConfig = config;

  if (prevConfig && prevConfig.version != config.version) {
    //页面，css，js有改动
    location.reload();
    return;
  }

  //banner
  var cfg = config.banner, container = $('#banner');
  if (!prevConfig || prevConfig.banner.version != cfg.version) {
    if (cfg.isShow) {
      container.show();
      var s = '';
      cfg.data.forEach(function (d, i) {
        s += '<div class="swiper-slide" style="background-image: url(' + d.img + ');"></div>';
      });
      container.find('.swiper-wrapper').html(s);
    } else {
      container.hide();
    }
  }

  //menu
  if (config.menu.isShow) {
    $('#menu').show();
    processMenu();
  } else {
    $('#menu').hide();
  }
  
  //news
  cfg = config.news, container = $('#info');
  if(!prevConfig || prevConfig.news.version != cfg.version) {
    if(cfg.isShow) {
      container.show();
      var s = '';
      cfg.data.forEach(function(d){
        s += '<i>' + d.name + '</i>';
      });
      container.find('.area-title span').html(s);
      newsCurrent = 0;
      if(cfg.data.length > 1){
        container.find('.area-title i').on('click', function(){
          var t = $(this), index = t.index();
          t.addClass('active').siblings().removeClass();
          newsCurrent = index;
          if(newsData[index]) {
            processNews(newsData[newsCurrent], dirStrApp);
          } else {
            queryNews(cfg.data[index]);
          }
        }).eq(0).addClass('active');
      }
    } else {
      container.hide();
    }
  }
  if(cfg.isShow && cfg.data.length > 0) {
    newsData = [];
    queryNews(cfg.data[newsCurrent]);
  }
}

var isPoboApp = typeof pbE != 'undefined';
var mainConfig, prevConfig, newsCurrent;
var dirStrApp = 'pobo:uncheck=1&pageId=904002&url=';
var dirStr = '../';
if (isPoboApp) {
  var pbSYS = pbE.SYS(), pbINFO = pbE.INFO();
}

function reload() {
  if (isPoboApp) {
    processConfig(JSON.parse(pbSYS.readConfig('main/conf/main.json')));
  } else {
    $.ajax({
      url:'conf/main.json?' + Date.now(),
      async: false,
      success: function (data) {
        processConfig(data);
      }
    });
  }
}

reload();